Thread
#prefect-community
    g

    George Coyne

    2 years ago
    Traceback (most recent call last):
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/prefect/client/client.py", line 591, in register
        prefect.serialization.flow.FlowSchema().load(serialized_flow)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/prefect/utilities/serialization.py", line 141, in load
        return super().load(data, **kwargs)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 723, in load
        data, many=many, partial=partial, unknown=unknown, postprocess=True
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 861, in _do_load
        unknown=unknown,
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 669, in _deserialize
        index=index,
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 493, in _call_and_store
        value = getter_func(data)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 662, in <lambda>
        val, field_name, data, **d_kwargs
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/fields.py", line 342, in deserialize
        output = self._deserialize(value, attr, data, **kwargs)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/fields.py", line 597, in _deserialize
        return self._load(value, data, partial=partial)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/fields.py", line 580, in _load
        valid_data = self.schema.load(value, unknown=self.unknown, partial=partial)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow_oneofschema/one_of_schema.py", line 122, in load
        data, partial=partial, unknown=unknown
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow_oneofschema/one_of_schema.py", line 176, in _load
        return schema.load(data, many=False, partial=partial, unknown=unknown)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/prefect/utilities/serialization.py", line 141, in load
        return super().load(data, **kwargs)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 723, in load
        data, many=many, partial=partial, unknown=unknown, postprocess=True
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 861, in _do_load
        unknown=unknown,
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 669, in _deserialize
        index=index,
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 493, in _call_and_store
        value = getter_func(data)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/schema.py", line 662, in <lambda>
        val, field_name, data, **d_kwargs
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/fields.py", line 342, in deserialize
        output = self._deserialize(value, attr, data, **kwargs)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/fields.py", line 597, in _deserialize
        return self._load(value, data, partial=partial)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow/fields.py", line 580, in _load
        valid_data = self.schema.load(value, unknown=self.unknown, partial=partial)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow_oneofschema/one_of_schema.py", line 131, in load
        result = self._load(item, partial=partial)
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/marshmallow_oneofschema/one_of_schema.py", line 148, in _load
        raise ValidationError({"_schema": "Invalid data type: %s" % data})
    TypeError: not all arguments converted during string formatting
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "knack_facts.py", line 708, in <module>
        flow.register("PROJECT_FLOW")
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/prefect/core/flow.py", line 1372, in register
        no_url=no_url,
      File "/Users/gcoyne/miniconda3/envs/FLOW_NAME/lib/python3.7/site-packages/prefect/client/client.py", line 595, in register
        repr(exc)
    ValueError: Flow could not be deserialized successfully. Error was: TypeError('not all arguments converted during string formatting')
    Chris White

    Chris White

    2 years ago
    Hi @George Coyne! This is definitely a new error for me — to start debugging, we’re going to want to focus on the output of
    flow.serialize()
    for this flow.
    i think the first thing we should try to do is recreate this locally somehow
    Let’s start with this:
    import json
    
    with open("debug.json", "w") as g:
        json.dump(flow.serialize(), g)
    and then in a new process:
    import prefect
    import json
    
    with open("debug.json", "r") as g:
        flow_payload = json.load(g)
    
    flow = prefect.serialization.flow.FlowSchema().load(flow_payload)
    g

    George Coyne

    2 years ago
    OK, I have the Flow
    Chris White

    Chris White

    2 years ago
    that didn’t produce an error?
    g

    George Coyne

    2 years ago
    It did not
    Chris White

    Chris White

    2 years ago
    would you mind DM’ing me the output of
    flow.serialize()
    ?